# DataExchange
TKSTEPBase
StepBasic

# StepBasic_LocalTime Class Reference

`#include <StepBasic_LocalTime.hxx>`

## Public Member Functions

Standard_EXPORT | StepBasic_LocalTime ()
| Returns a LocalTime .
virtual Standard_EXPORT void | Init (const Standard_Integer aHourComponent, const Standard_Boolean hasAminuteComponent, const Standard_Integer aMinuteComponent, const Standard_Boolean hasAsecondComponent, const Standard_Real aSecondComponent, const Handle(StepBasic_CoordinatedUniversalTimeOffset)&aZone)
Standard_EXPORT void | SetHourComponent (const Standard_Integer aHourComponent)
Standard_EXPORT Standard_Integer | HourComponent () const
Standard_EXPORT void | SetMinuteComponent (const Standard_Integer aMinuteComponent)
Standard_EXPORT void | UnSetMinuteComponent ()
Standard_EXPORT Standard_Integer | MinuteComponent () const
Standard_EXPORT Standard_Boolean | HasMinuteComponent () const
Standard_EXPORT void | SetSecondComponent (const Standard_Real aSecondComponent)
Standard_EXPORT void | UnSetSecondComponent ()
Standard_EXPORT Standard_Real | SecondComponent () const
Standard_EXPORT Standard_Boolean | HasSecondComponent () const
Standard_EXPORT void | SetZone (const Handle(StepBasic_CoordinatedUniversalTimeOffset)&aZone)
Standard_EXPORT Handle_StepBasic_CoordinatedUniversalTimeOffset | Zone () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | hourComponent
Standard_Integer | minuteComponent
Standard_Real | secondComponent
Handle_StepBasic_CoordinatedUniversalTimeOffset | zone
Standard_Boolean | hasMinuteComponent
Standard_Boolean | hasSecondComponent

## Constructor & Destructor Documentation

Standard_EXPORT StepBasic_LocalTime::StepBasic_LocalTime | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepBasic_LocalTime::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT Standard_Boolean StepBasic_LocalTime::HasMinuteComponent | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepBasic_LocalTime::HasSecondComponent | ( |  | ) | const

Standard_EXPORT Standard_Integer StepBasic_LocalTime::HourComponent | ( |  | ) | const

virtual Standard_EXPORT void StepBasic_LocalTime::Init | ( | const Standard_Integer | aHourComponent,
|  | const Standard_Boolean | hasAminuteComponent,
|  | const Standard_Integer | aMinuteComponent,
|  | const Standard_Boolean | hasAsecondComponent,
|  | const Standard_Real | aSecondComponent,
|  | const Handle(StepBasic_CoordinatedUniversalTimeOffset)& | aZone
| ) | `[virtual]`

Standard_EXPORT Standard_Integer StepBasic_LocalTime::MinuteComponent | ( |  | ) | const

Standard_EXPORT Standard_Real StepBasic_LocalTime::SecondComponent | ( |  | ) | const

Standard_EXPORT void StepBasic_LocalTime::SetHourComponent | ( | const Standard_Integer | aHourComponent | ) |

Standard_EXPORT void StepBasic_LocalTime::SetMinuteComponent | ( | const Standard_Integer | aMinuteComponent | ) |

Standard_EXPORT void StepBasic_LocalTime::SetSecondComponent | ( | const Standard_Real | aSecondComponent | ) |

Standard_EXPORT void StepBasic_LocalTime::SetZone | ( | const Handle(StepBasic_CoordinatedUniversalTimeOffset)& | aZone | ) |

Standard_EXPORT void StepBasic_LocalTime::UnSetMinuteComponent | ( |  | ) |

Standard_EXPORT void StepBasic_LocalTime::UnSetSecondComponent | ( |  | ) |

Standard_EXPORT Handle_StepBasic_CoordinatedUniversalTimeOffset StepBasic_LocalTime::Zone | ( |  | ) | const

## Field Documentation

Standard_Boolean StepBasic_LocalTime::hasMinuteComponent `[private]`

Standard_Boolean StepBasic_LocalTime::hasSecondComponent `[private]`

Standard_Integer StepBasic_LocalTime::hourComponent `[private]`

Standard_Integer StepBasic_LocalTime::minuteComponent `[private]`

Standard_Real StepBasic_LocalTime::secondComponent `[private]`

Handle_StepBasic_CoordinatedUniversalTimeOffset StepBasic_LocalTime::zone `[private]`

The documentation for this class was generated from the following file:

- StepBasic_LocalTime.hxx